<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: specifikacija/slucaj_upotrebe_chat.txt File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">specifikacija/slucaj_upotrebe_chat.txt File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a941da1e06d18809a72d32463326e9373"><td class="memItemLeft" align="right" valign="top">𝐎𝐩𝐢𝐬 𝐬𝐥𝐮𝐜𝐚𝐣𝐚 𝐮𝐩𝐨𝐭𝐫𝐞𝐛𝐞 𝐂𝐡𝐚𝐭 𝐊𝐫𝐚𝐭𝐚𝐤 sam tekst vreme kada je poruka poslata Backend proverava da li su poslate informacije validne Ako tekst <a class="el" href="slucaj__upotrebe__chat_8txt.html#aa89eb4d6879dd1a20c0190bfa96f97e1">poruke</a> nije validan ili username igraca koji je poslao poruku nije validan ili vreme kada je poruka poslata nije validno backend salje frontend u informaciju da poruka nije a igracima se ne prikazuje poruka Inace backend formatira poruku i prosledjuje je frontendu Aplikacija prikazuje ostalim igracima&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="slucaj__upotrebe__chat_8txt.html#a941da1e06d18809a72d32463326e9373">tekst</a> (poruku)</td></tr>
<tr class="separator:a941da1e06d18809a72d32463326e9373"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ac226eb08ad4436345f42a8e35d99d9dd"><td class="memItemLeft" align="right" valign="top">𝐎𝐩𝐢𝐬 𝐬𝐥𝐮𝐜𝐚𝐣𝐚 𝐮𝐩𝐨𝐭𝐫𝐞𝐛𝐞 𝐂𝐡𝐚𝐭 𝐊𝐫𝐚𝐭𝐚𝐤&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="slucaj__upotrebe__chat_8txt.html#ac226eb08ad4436345f42a8e35d99d9dd">𝐨𝐩𝐢𝐬</a></td></tr>
<tr class="separator:ac226eb08ad4436345f42a8e35d99d9dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa89eb4d6879dd1a20c0190bfa96f97e1"><td class="memItemLeft" align="right" valign="top">𝐎𝐩𝐢𝐬 𝐬𝐥𝐮𝐜𝐚𝐣𝐚 𝐮𝐩𝐨𝐭𝐫𝐞𝐛𝐞 𝐂𝐡𝐚𝐭 𝐊𝐫𝐚𝐭𝐚𝐤 sam <a class="el" href="slucaj__upotrebe__chat_8txt.html#a941da1e06d18809a72d32463326e9373">tekst</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="slucaj__upotrebe__chat_8txt.html#aa89eb4d6879dd1a20c0190bfa96f97e1">poruke</a></td></tr>
<tr class="separator:aa89eb4d6879dd1a20c0190bfa96f97e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7265db68e72e3575eb559aff0e6dce74"><td class="memItemLeft" align="right" valign="top">𝐎𝐩𝐢𝐬 𝐬𝐥𝐮𝐜𝐚𝐣𝐚 𝐮𝐩𝐨𝐭𝐫𝐞𝐛𝐞 𝐂𝐡𝐚𝐭 𝐊𝐫𝐚𝐭𝐚𝐤 sam <a class="el" href="slucaj__upotrebe__chat_8txt.html#a941da1e06d18809a72d32463326e9373">tekst</a> vreme kada je poruka poslata Backend proverava da li su poslate informacije validne Ako <a class="el" href="slucaj__upotrebe__chat_8txt.html#a941da1e06d18809a72d32463326e9373">tekst</a> <a class="el" href="slucaj__upotrebe__chat_8txt.html#aa89eb4d6879dd1a20c0190bfa96f97e1">poruke</a> nije validan ili username igraca koji je poslao poruku nije validan ili vreme kada je poruka poslata nije validno backend salje frontend u informaciju da poruka nije&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="slucaj__upotrebe__chat_8txt.html#a7265db68e72e3575eb559aff0e6dce74">validna</a></td></tr>
<tr class="separator:a7265db68e72e3575eb559aff0e6dce74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a941da1e06d18809a72d32463326e9373"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a941da1e06d18809a72d32463326e9373">&#9670;&nbsp;</a></span>tekst()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">𝐎𝐩𝐢𝐬 𝐬𝐥𝐮𝐜𝐚𝐣𝐚 𝐮𝐩𝐨𝐭𝐫𝐞𝐛𝐞 𝐂𝐡𝐚𝐭 𝐊𝐫𝐚𝐭𝐚𝐤 sam tekst vreme kada je poruka poslata Backend proverava da li su poslate informacije validne Ako tekst <a class="el" href="slucaj__upotrebe__chat_8txt.html#aa89eb4d6879dd1a20c0190bfa96f97e1">poruke</a> nije validan ili username igraca koji je poslao poruku nije validan ili vreme kada je poruka poslata nije validno backend salje frontend u informaciju da poruka nije a igracima se ne prikazuje poruka Inace backend formatira poruku i prosledjuje je frontendu Aplikacija prikazuje ostalim igracima tekst </td>
          <td>(</td>
          <td class="paramtype">poruku&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aa89eb4d6879dd1a20c0190bfa96f97e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa89eb4d6879dd1a20c0190bfa96f97e1">&#9670;&nbsp;</a></span>poruke</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">𝐎𝐩𝐢𝐬 𝐬𝐥𝐮𝐜𝐚𝐣𝐚 𝐮𝐩𝐨𝐭𝐫𝐞𝐛𝐞 𝐂𝐡𝐚𝐭 𝐊𝐫𝐚𝐭𝐚𝐤 sam <a class="el" href="slucaj__upotrebe__chat_8txt.html#a941da1e06d18809a72d32463326e9373">tekst</a> poruke</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7265db68e72e3575eb559aff0e6dce74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7265db68e72e3575eb559aff0e6dce74">&#9670;&nbsp;</a></span>validna</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">𝐎𝐩𝐢𝐬 𝐬𝐥𝐮𝐜𝐚𝐣𝐚 𝐮𝐩𝐨𝐭𝐫𝐞𝐛𝐞 𝐂𝐡𝐚𝐭 𝐊𝐫𝐚𝐭𝐚𝐤 sam <a class="el" href="slucaj__upotrebe__chat_8txt.html#a941da1e06d18809a72d32463326e9373">tekst</a> vreme kada je poruka poslata Backend proverava da li su poslate informacije validne Ako <a class="el" href="slucaj__upotrebe__chat_8txt.html#a941da1e06d18809a72d32463326e9373">tekst</a> <a class="el" href="slucaj__upotrebe__chat_8txt.html#aa89eb4d6879dd1a20c0190bfa96f97e1">poruke</a> nije validan ili username igraca koji je poslao poruku nije validan ili vreme kada je poruka poslata nije validno backend salje frontend u informaciju da poruka nije validna</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac226eb08ad4436345f42a8e35d99d9dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac226eb08ad4436345f42a8e35d99d9dd">&#9670;&nbsp;</a></span>𝐨𝐩𝐢𝐬</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">𝐎𝐩𝐢𝐬 𝐬𝐥𝐮𝐜𝐚𝐣𝐚 𝐮𝐩𝐨𝐭𝐫𝐞𝐛𝐞 𝐂𝐡𝐚𝐭 𝐊𝐫𝐚𝐭𝐚𝐤 𝐨𝐩𝐢𝐬</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
